# Class Media

#### Hierarchy

- Media

- Defined in src/file/media/media.ts:15

#####
Index

### Constructors

constructor

### Accessors

Array

### Methods

addImage
addMedia

## Constructors

### constructor

- new Media(): Media

- #### Returns Media

  - Defined in src/file/media/media.ts:19

## Accessors

### Array

- get Array(): readonly IMediaData[]

- #### Returns readonly IMediaData[]

  - Defined in src/file/media/media.ts:54

## Methods

### addImage

- addImage(key: string, mediaData: IMediaData): void

- #### Parameters

  - ##### key: string

  - ##### mediaData: IMediaData

  #### Returns void

  - Defined in src/file/media/media.ts:50

### addMedia

- addMedia(data: string | ArrayBuffer | Uint8Array | Buffer, transformation: IMediaTransformation): IMediaData

- #### Parameters

  - ##### data: string | ArrayBuffer | Uint8Array | Buffer

  - ##### transformation: IMediaTransformation

  #### Returns IMediaData

  - Defined in src/file/media/media.ts:23

Generated using TypeDoc